Subject: Re: Cannot booting the kernel...

From: Brendan J Simon <[email-masked]>
Date: Tue, 04 Jan 2000 11:46:23 +1100

dony wrote:

> Hello,
>
>       With your help, Now I can starting my kernel.  I search linux-ppc lists and find
> that I have similar problems as you. Here is the messages:
>
>         Linux/PPC load:
>         Uncompressing Linux...done.
>         Now booting the kernel
>
> Then nothing happens. I also follow some suggestions which Dan advise you and modify
> arch/ppc/kernel/head.S to disable and unlock and invalidate the cache, but it seems to
> make no difference. Can you give me some advice ?

I disabled the caches in arch/ppc/kernel/head.S and arch/ppc/mbxboot/head.S.  The kernel
boots every time now (touch wood).

When my linux system is fully functioning (telnet, snmp, etc) then I will look at the
cache problems.  The gurus think that it is probably a UPM setup problem.

Brendan Simon.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/